summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKenneth R Westerback <krw@cvs.openbsd.org>2009-07-02 23:48:35 +0000
committerKenneth R Westerback <krw@cvs.openbsd.org>2009-07-02 23:48:35 +0000
commit57b0c0761d5c5ce53a2a82efe7cb742df65531f4 (patch)
treed827e3c9c388bba55f132e7b59eee585e2bce470
parent2183ff880058608bbd89e826f874c4a7e085e2c0 (diff)
Do *not* newfs non-ffs partitions while installing. Even if someone
has entered 'n i' in disklabel and caused a mountpoint to be saved for the non-ffs partition. Discovered by and fix tested by mgrimm@. ok deraadt@.
-rw-r--r--distrib/miniroot/install.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/distrib/miniroot/install.sh b/distrib/miniroot/install.sh
index 83984a38d07..64e34f5fdc9 100644
--- a/distrib/miniroot/install.sh
+++ b/distrib/miniroot/install.sh
@@ -1,5 +1,5 @@
#!/bin/ksh
-# $OpenBSD: install.sh,v 1.203 2009/06/27 08:33:27 ajacoutot Exp $
+# $OpenBSD: install.sh,v 1.204 2009/07/02 23:48:34 krw Exp $
# $NetBSD: install.sh,v 1.5.2.8 1996/08/27 18:15:05 gwr Exp $
#
# Copyright (c) 1997-2009 Todd Miller, Theo de Raadt, Ken Westerback
@@ -121,9 +121,11 @@ while :; do
continue
fi
- # newfs 'ffs' filesystems and add them to the list.
+ # Add ffs filesystems to list after newfs'ing them. Ignore
+ # other filesystems.
_i=${#_fsent[*]}
- while read _pp _mp _rest; do
+ while read _pp _mp _fstype _rest; do
+ [[ $_fstype == ffs ]] || continue
_OPT=
[[ $_mp == / ]] && _OPT=$MDROOTFSOPT
newfs -q $_OPT ${_pp##/dev/}